summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marco Cecchetti <mrc.ildp@gmail.com>2010-05-11 22:55:22 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:55:22 +0200
commita42b30f4b44350ce571ee08c11854c31800cdf3e (patch)
tree36d05a60f726f1668d3ce5c3ac0ae897c3dafa25
parent2809a1d78d39227426b5e3094378e2f22111dfa8 (diff)
downloadslackbuilds-a42b30f4b44350ce571ee08c11854c31800cdf3e.tar.gz
slackbuilds-a42b30f4b44350ce571ee08c11854c31800cdf3e.tar.xz
system/mlterm: Added to 12.1 repository
-rw-r--r--system/mlterm/README17
-rw-r--r--system/mlterm/mlterm.SlackBuild69
-rw-r--r--system/mlterm/mlterm.info8
-rw-r--r--system/mlterm/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/mlterm/README b/system/mlterm/README
new file mode 100644
index 0000000000..d4a512d88e
--- /dev/null
+++ b/system/mlterm/README
@@ -0,0 +1,17 @@
+mlterm is a multilingual X11 terminal emulator. It supports
+different character sets, encondings and complex characters.
+
+mlterm is optionally dependent upon the following libraries:
+
+- fribidi (for bidirectional rendering)
+http://freedesktop.org/wiki/Software/FriBidi
+
+- libind (for ISCII rendering)
+http://www.rxvt-idev.freeservers.com/
+
+If fribidi and libind have been installed on your system
+you can enable the support by adding the following
+compilation options to mlterm.slackbuild:
+
+ --enable-fribidi
+ --enable-ind
diff --git a/system/mlterm/mlterm.SlackBuild b/system/mlterm/mlterm.SlackBuild
new file mode 100644
index 0000000000..a8f5f9c2c8
--- /dev/null
+++ b/system/mlterm/mlterm.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for mlterm
+# Written by Marco Cecchetti (mrc.ildp@gmail.com)
+
+PRGNAM=mlterm
+VERSION=${VERSION:-2.9.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-optimize-redrawing \
+ --with-imagelib=gdk-pixbuf2 \
+ --with-type-engine=xft \
+ --with-libltdl \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS ChangeLog LICENCE README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/mlterm/mlterm.info b/system/mlterm/mlterm.info
new file mode 100644
index 0000000000..1952c6eabd
--- /dev/null
+++ b/system/mlterm/mlterm.info
@@ -0,0 +1,8 @@
+PRGNAM="mlterm"
+VERSION="2.9.4"
+HOMEPAGE="http://mlterm.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mlterm/mlterm-2.9.4.tar.gz"
+MD5SUM="67fc33f09da045f86b0d4ceebed76aac"
+MAINTAINER="Marco Cecchetti"
+EMAIL="mrc.ildp@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/system/mlterm/slack-desc b/system/mlterm/slack-desc
new file mode 100644
index 0000000000..ebcd62a712
--- /dev/null
+++ b/system/mlterm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mlterm: mlterm (X11 multilingual terminal emulator)
+mlterm:
+mlterm: It supports various character sets and encodings in the world and
+mlterm: complex characters such as double width for East Asian,
+mlterm: combining for Thai, Vietnamese, and so on, and bidirection for Arabic
+mlterm: and Hebrew. Indic scripts in ISCII encoding are experimentally
+mlterm: supported using libind library. It also supports various unique
+mlterm: feature such as anti-alias using FreeType, multiple XIM, multiple
+mlterm: windows, scrollbar API, scroll bymouse wheel, automatic selection of
+mlterm: encoding, daemon mode, and so on.
+mlterm: